uuid: d99ec3c0-6333-4ccf-9bd3-ff874a8f59ff
langcode: en
status: true
dependencies:
  module:
    - islandora
_core:
  default_config_hash: _w1tI4doB71OVhr9ylF4DCZRMGXy8Mtjcuk-8iAOz7Y
label: 'Image Derivatives'
name: image_original_file
group: Derivatives
description: 'Derivatives for Images'
requireAllConditions: true
disabled: false
conditions:
  media_has_term:
    id: media_has_term
    negate: false
    context_mapping:
      media: '@islandora.media_route_context_provider:media'
    uri: 'http://pcdm.org/use#OriginalFile'
    logic: and
  parent_node_has_term:
    id: parent_node_has_term
    negate: false
    context_mapping:
      media: '@islandora.media_route_context_provider:media'
    uri: 'http://purl.org/coar/resource_type/c_c513'
    logic: and
reactions:
  derivative:
    id: derivative
    saved: false
    actions:
      image_generate_a_service_file_from_an_original_file: image_generate_a_service_file_from_an_original_file
      image_generate_a_thumbnail_from_an_original_file: image_generate_a_thumbnail_from_an_original_file
weight: -3
